classification
Title: Use PEP 573 in functools
Type: Stage: resolved
Components: Extension Modules Versions: Python 3.10
process
Status: closed Resolution: duplicate
Dependencies: Superseder:
Assigned To: Nosy List: petr.viktorin, rhettinger, serhiy.storchaka, shihai1991
Priority: normal Keywords:

Created on 2020-06-06 18:27 by shihai1991, last changed 2020-11-19 15:33 by shihai1991. This issue is now closed.

Messages (5)
msg370843 - (view) Author: hai shi (shihai1991) * (Python triager) Date: 2020-06-06 18:27
petr have write a PR(adding a method: _PyType_GetModuleByDef) to supply pep573 in https://github.com/encukou/cpython/pull/4/commits/98dd889575cf7d1688495983ba791e14894a0bb8

So I try to use pep573 in functools again in: https://github.com/shihai1991/cpython/pull/5

From the CI gate result, the only one question is a resource leak in functools(I am not find the leak reason now): https://github.com/shihai1991/cpython/pull/5/checks?check_run_id=743098116

some other discuss info in issue40137.
msg371115 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2020-06-09 14:59
I wrote about the _PyType_GetModuleByDef idea on the capi-sig mailing list: https://mail.python.org/archives/list/capi-sig@python.org/thread/T3P2QNLNLBRFHWSKYSTPMVEIL2EEKFJU/
msg374364 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2020-07-27 07:27
I'm dropping off the nosy list.  It's not something that I understand and can help with.  Adding Serhiy, he might be able to review this.
msg379171 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2020-10-20 21:57
Here is a PR for _PyType_GetModuleByDef: https://github.com/python/cpython/pull/22835
msg381435 - (view) Author: hai shi (shihai1991) * (Python triager) Date: 2020-11-19 15:26
Duplicated issue: bpo-40137, so I closed this one.
History
Date User Action Args
2020-11-19 15:33:03shihai1991setstatus: open -> closed
resolution: duplicate
stage: resolved
2020-11-19 15:26:33shihai1991setmessages: + msg381435
2020-10-20 21:57:53petr.viktorinsetmessages: + msg379171
2020-08-04 16:05:18vstinnersetnosy: - vstinner
2020-07-27 07:27:12rhettingersetnosy: + serhiy.storchaka
messages: + msg374364
2020-07-27 06:32:39xtreaksetnosy: + rhettinger
2020-07-27 06:28:36wyz23x2settitle: Use pep573 in functools -> Use PEP 573 in functools
2020-06-09 14:59:21petr.viktorinsetmessages: + msg371115
2020-06-06 18:27:24shihai1991create